Batch Delete WBS
delete
/api/restapi/wbs/batch
Send a request to this endpoint to delete one or more WBSs. Objects with ID values that match the values provided in the request body will be deleted.
Request
Query Parameters
-
handleAssociatedObjects: string
The options for handling associated objects, activities and tasks, on WBS deletion.
REASSIGN must be passed to reassign objects in hierarchy to a target WBS.
DELETE must be passed to delete objects associated to the hierarchy.
DELETE_ONLY_ACTIVITIES must be passed to delete activities and reassign tasks to the respective parent WBS associated to the hierarchy.Allowed Values:[ "REASSIGN", "DELETE", "DELETE_ONLY_ACTIVITIES" ] -
targetWBSId: integer(int64)
The identifier for the target WBS to which associated objects will be assigned. Target WBS ID is only required when the WBS delete option is set to REASSIGN.# CONSTRAINT
Supported Media Types
- application/json
Response
204 Response
Successful operation with no content.
400 Response
Invalid input for the WBS service.